Renew subscriptionAsk AIpost https://www.pelcro.com/api/v1/core/subscriptions/renewUse this endpoint to create a new subscription.Query Paramssite_idint32requiredThe unique identifier of the site associated with your account.user_idint32requiredThe unique identifier of the user.Body Paramssubscription_idint32requiredThe unique identifier of the subscription.plan_idint32requiredThe unique identifier of the plan.address_idint32The unique identifier of user's shipping addresssource_idint32The unique identifier of user's payment source, required if collection_method is charge_automaticallyauto_renewbooleanA boolean that determines whether the subscription will auto-renew or not at the end of the last phase. (overrides the plan configuration when set)truefalsecampaign_keystringThe campaign associated to the subscription. If the key does not already exist, it will be created. The campaign key must be between 3 and 191 characters in length and include only letters, numbers, dashes and underscores without space.collection_methodstringenumDefaults to send_invoiceThe payment collection method of subscription.charge_automaticallysend_invoiceAllowed:charge_automaticallysend_invoicecoupon_codestringCoupon codequantityint32requiredQuantitysourcestringrequiredSubscription source ex(Web, phone, email)replace_upcoming_phasesbooleanDefaults to falseA boolean flag that, when true, deletes all scheduled future phases before adding a new renewal phase. Used primarily for save offer flows during cancellation to replace existing renewals with a single discounted phase.truefalseHeadersAuthorizationstringrequiredDefaults to Bearer eyJ***Responses 200Success. 400Invalid request. 401Unauthenticated.Updated 21 minutes ago